apiVersion: config.kanod.io/v1
kind: Kanod
metadata:
  name: kanod
  namespace: kanod
spec:
  ingress:
    ip: 192.168.133.14
    name: broker
    loadBalancerRange: 192.168.133.14-192.168.133.15
    key:
      value: '@vault:pki-key:broker'
    certificate:
      value: '@vault:pki-chain:broker'
  capi: false
  brokerDef:
    credentials: brokerdef-credentials
    redfishDomain: broker.kanod.home.arpa
    delegatedAuth: false
  brokerNet:
    credentials: brokernet-credentials
  argocd:
    dashboard: false
    clusterdef: false
    gitcerts:
      - host: git.service.kanod.home.arpa
        value: '@vault:ca'
    baremetal:
      url: https://git.service.kanod.home.arpa/infra_admin/hosts.git
      credentials: git-admin
---
apiVersion: v1
kind: Secret
metadata:
  name: git-admin
  namespace: kanod
stringData:
  username: '@vault:kv1:../infra_admin/git:username'
  password: '@vault:kv1:../infra_admin/git:password'
---
apiVersion: v1
kind: Secret
metadata:
  name: brokerdef-credentials
  namespace: kanod
stringData:
  username: '@vault:kv1:brokerdef_admin:username'
  password: '@vault:kv1:brokerdef_admin:password'
---
apiVersion: v1
kind: Secret
metadata:
  name: brokernet-credentials
  namespace: kanod
stringData:
  username: '@vault:kv1:brokernet_admin:username'
  password: '@vault:kv1:brokernet_admin:password'
